from nagiosplugin.error import CheckError


class ServiceException(CheckError):
    """
    Raised when the service returns a HTTP status code other than 200, 400,
    403 or 404.
    """
    def __init__(self, details):
        message = u'Service error: {}'.format(details)
        super(CheckError, self).__init__(message)


class InputException(CheckError):
    """
    Raised when the service returns 400 Bad Request.
    """
    def __init__(self, details):
        message = u'Input error: {}'.format(details)
        super(CheckError, self).__init__(message)


class ServiceConnectionException(CheckError):
    """
    Raised when connecting to the service fails.
    """
    def __init__(self, details):
        message = u'Connection error: {}'.format(details)
        super(CheckError, self).__init__(message)
