import logging

# Hook up to the gunicorn logger to get consistent log formatting. In case this
# does not exist, e.g. in some development mode, it should default to basic
# logging configuration and still be OK.
logger = logging.getLogger('gunicorn.error')


def log(level, msg, *args, **kwargs):
    # Only print stacktraces while debug logging
    if 'exc_info' in kwargs and not logger.isEnabledFor(logging.DEBUG):
        kwargs.pop('exc_info')
    logger.log(level, msg, *args, **kwargs)


def error(msg, *args, **kwargs):
    log(logging.ERROR, msg, *args, **kwargs)


def warning(msg, *args, **kwargs):
    log(logging.WARNING, msg, *args, **kwargs)


def info(msg, *args, **kwargs):
    log(logging.INFO, msg, *args, **kwargs)


def debug(msg, *args, **kwargs):
    log(logging.DEBUG, msg, *args, **kwargs)
