from pyVmomi import vim
from check_vmware.vsphere.helpers import implemented_for
from check_vmware.vsphere.entities import list_entities


@implemented_for(['host', 'cluster', 'datacenter'])
def cddvd(connection, entity, _flags):
    """Return device status data for the given entity."""
    items = []
    for vm in list_entities(connection, entity, 'vm'):
        matches = 0
        for device in vm.config.hardware.device:
            if isinstance(device, vim.vm.device.VirtualCdrom):
                if device.connectable.connected:
                    matches += 1
        if matches > 0:
            items.append({
                'name': vm.name,
                'value': u'has {} devices'.format(matches),
                'state': 'ok'
            })
    return items
