from collections import OrderedDict

from pyVmomi import vim


#: vSphere constant.
POWER_STATE_ON = 'poweredOn'

#: vSphere constant.
POWER_STATE_OFF = 'poweredOff'

#: vSphere constant.
API_TYPE_HOST = 'HostAgent'

#: vSphere constant.
API_TYPE_VCENTER = 'VirtualCenter'

#: Mapping of entity type strings and their respective pyVmomi classes.
ENTITY_TYPES = OrderedDict((
    ('vm', vim.VirtualMachine),
    ('host', vim.HostSystem),
    ('cluster', vim.ClusterComputeResource),
    ('datacenter', vim.Datacenter)
))

#: Mapping of entity pyVmomi classes and their respective type names.
ENTITY_TYPE_NAMES = {v: k for k, v in ENTITY_TYPES.items()}
